Jsw.namespace('Smb.Domain');

Smb.Domain.Form = Class.create(Jsw.FormAjax, {

    _initConfiguration: function($super, config) {
        $super(config);
        this._domainName = $(this._getConfigParam('domainNameElementId')).value;
        this._applicationsConfirmLocale = this._getConfigParam('applicationsConfirmLocale', {});
        this._applicationsConfirmRequired = this._getConfigParam('applicationsConfirmRequired', false);
    },

    _onSubmit: function($super) {
        if (
            this._applicationsConfirmRequired &&
            $(this._getConfigParam('domainNameElementId')).value != this._domainName
        ) {
            this._showApplicationsConfirmationDialog();
            return;
        }
        $super();
    },

    _showApplicationsConfirmationDialog: function() {
        Jsw.messageBox.show({
            type: Jsw.messageBox.TYPE_YESNO,
            buttonTitles: {
                yes: this._applicationsConfirmLocale.confirmationButtonYes,
                no: this._applicationsConfirmLocale.confirmationButtonNo
            },
            text: this._applicationsConfirmLocale.confirmationText,
            description: [ this._applicationsConfirmLocale.confirmationDescription,
                           this._applicationsConfirmLocale.confirmationQuestion ],
            subtype: 'confirm',
            onYesClick: this._onApplicationsConfirmYesClick.bind(this)
        });
    },

    _onApplicationsConfirmYesClick: function() {
        this._applicationsConfirmRequired = false;
        this._onSubmit();
    }
});