Jsw.namespace('Smb.Login');

Smb.Login.Form = Class.create(Jsw.FormSimple, {

    _initConfiguration: function($super, config) {
        $super(config);
        this._locale = this._getConfigParam('locale', {});
    },

    _processFieldMessage: function($super, prefix, name, message) {
        if ('force' == prefix.join('.')) {
            this._showConfirmDialog();
            return;
        }
        $super(prefix, name, message);
    },

    _showConfirmDialog: function() {
        this._componentElement.hide();
        this._getConfirmElement().show();
    },

    _getConfirmElement: function() {
        if (!this._confirmElement) {
            this._confirmElement = new Element('div', {
                'style': 'display: none;',
                'class': 'form-info'
            }).update(
                '<div class="form-box">' +
                    '<div class="box-area">' +
                        '<div class="content">' +
                            '<div class="content-area">' +
                                '<div class="login-info"/>' +
                            '</div>' +
                        '</div>' +
                    '</div>' +
                '</div>' +
                '<div class="btns-box">' +
                    '<div class="box-area">' +
                        '<div class="form-row">' +
                            '<div class="field-value">' +
                                '<span class="btn" id="btn-confirm-ok"><button type="buttoиn" value="" name="ok">' +
                                    this._locale.buttonConfirmOk +
                                '</button></span>' +
                                '<span class="btn action" id="btn-confirm-cancel"><button type="submit" value="" name="cancel">' +
                                    this._locale.buttonConfirmCancel +
                                '</button></span>' +
                            '</div>' +
                        '</div>' +
                    '</div>' +
                '</div>'
            );
            this._componentElement.insert({
                'after': this._confirmElement
            });
            $('btn-confirm-cancel').observe('click', this._onConfirmCancelClick.bind(this));
            $('btn-confirm-ok').observe('click', this._onConfirmOkClick.bind(this));
        }
        this._confirmElement.down('.content-area')
            .insert({
                'top': '<div class="msg-box msg-warning"><div><div><div><div><div><div class="msg-content">' +
                    this._locale.confirmWarning +
                '</div></div></div></div></div></div></div>'
            });
        this._confirmElement.down('.login-info').update(
            this._locale.confirmDescription
                .replace('%%login%%', '<b>' + $('loginSection-username').value.escapeHTML() + '</b>')
        );
        return this._confirmElement;
    },

    _onConfirmOkClick: function() {
        this._getConfirmElement().hide();
        $('force').value = 1;
        this._componentElement.show();
        this._onSubmit();
    },

    _onConfirmCancelClick: function() {
        this._getConfirmElement().hide();
        $('loginSection-username').value = '';
        $('loginSection-password').value = '';
        this._componentElement.show();
    }

});