Jsw.namespace('Smb.Views.Settings');

Smb.Views.Settings.FileSharing = {
    updateRoot: function() {
        domain = $('general-rootUrlDomain').value;
        suffix = $('general-rootUrlSuffix').value;
        base = domain + '/' + Smb.FileSharing.trimLastSlash(suffix) + '/';
        $('publicFiles-publicRootFolder-prefix').update(base);
        $('publicFiles-publicRootUrl-prefix').update(base);
        $('publicFiles-protectedRootFolder-prefix').update(base);
    },

    toggleProtectedFolder: function() {
        if ($('publicFiles-enableProtectedFolder').checked) {
            $('publicFiles-protectedRootFolder').enable();
            $('publicFiles-protectedFolderLogin').enable();
            $('publicFiles-protectedFolderPassword').enable();            
        } else {
            $('publicFiles-protectedRootFolder').disable();
            $('publicFiles-protectedFolderLogin').disable();
            $('publicFiles-protectedFolderPassword').disable();
        }
    },   
    
    togglePublicFolder: function() {
        if ($('publicFiles-enablePublicFolder').checked) {
            $('publicFiles-publicRootFolder').enable();
            $('publicFiles-publicRootUrl').enable();
            $('publicFiles-enableProtectedFolder').enable();
        } else {
            $('publicFiles-publicRootFolder').disable();
            $('publicFiles-publicRootUrl').disable();
            $('publicFiles-enableProtectedFolder').checked = false;
            $('publicFiles-enableProtectedFolder').disable();
            Smb.Views.Settings.FileSharing.toggleProtectedFolder();
        }
    }
}

Jsw.onReady(function() {
       $('general-rootUrlDomain').observe('change', Smb.Views.Settings.FileSharing.updateRoot);
       $('general-rootUrlSuffix').observe('change', Smb.Views.Settings.FileSharing.updateRoot);
       $('publicFiles-enablePublicFolder').observe('click', Smb.Views.Settings.FileSharing.togglePublicFolder);
       $('publicFiles-enableProtectedFolder').observe('click', Smb.Views.Settings.FileSharing.toggleProtectedFolder);
       Smb.Views.Settings.FileSharing.updateRoot();
       Smb.Views.Settings.FileSharing.togglePublicFolder();
       Smb.Views.Settings.FileSharing.toggleProtectedFolder();
});
