Jsw.namespace('Smb.Views.Settings');

Smb.Views.Settings.Mail = {

    updateSpfControlsState: function() {
        var enabled = $('spf-enabled').checked;
        var controls = ['spf-behavior', 'spf-rules', 'spf-guess', 'spf-exp'];
        controls.each(function(controlId) {
            if (enabled) {
                $(controlId).enable();
            } else {
                $(controlId).disable();
            }
        });
    },

    updateDNSBLControlsState: function() {
        if ($('dnsbl-enabled').checked) {
            $('dnsbl-zones').enable();
        } else {
            $('dnsbl-zones').disable();
        }
    },

    updateNonExistentMailState: function() {
        if ($('general-nonExist-bounce')) {
            if ($('general-nonExist-bounce').checked) {
                $('general-bounceMessage').enable();
            } else {
                $('general-bounceMessage').disable();
            }
        }

        if ($('general-nonExist-forward').checked) {
            $('general-forwardAddress').enable();
        } else {
            $('general-forwardAddress').disable();
        }

        if ($('general-nonExist-redirect')) {
            if ($('general-nonExist-redirect').checked) {
                $('general-redirectIp').enable();
            } else {
                $('general-redirectIp').disable();
            }
        }
    },

    updateSpamActionState: function() {
        var spamAssassinDisabled =
            $('spamfilter-spamAssassin').disabled ||
            !$('spamfilter-spamAssassin').checked;
        $('spamfilter-spamAction-text').disabled = spamAssassinDisabled;
        $('spamfilter-spamActionText').disabled = spamAssassinDisabled || !$('spamfilter-spamAction-text').checked;
        $('spamfilter-spamAction-delete').disabled = spamAssassinDisabled;
        if ($('spamfilter-spamAction-move')) {
            $('spamfilter-spamAction-move').disabled = spamAssassinDisabled;
        }
    }
};

Jsw.onReady(function() {
    Smb.Views.Settings.Mail.updateDNSBLControlsState();
    $('dnsbl-enabled').observe('click', Smb.Views.Settings.Mail.updateDNSBLControlsState);

    Smb.Views.Settings.Mail.updateNonExistentMailState();
    if ($('general-nonExist-bounce')) {
        $('general-nonExist-bounce').observe('click', Smb.Views.Settings.Mail.updateNonExistentMailState);
    }
    $('general-nonExist-forward').observe('click', Smb.Views.Settings.Mail.updateNonExistentMailState);
    if ($('general-nonExist-redirect')) {
        $('general-nonExist-redirect').observe('click', Smb.Views.Settings.Mail.updateNonExistentMailState);
    }
    $('general-nonExist-discard').observe('click', Smb.Views.Settings.Mail.updateNonExistentMailState);

    Smb.Views.Settings.Mail.updateSpamActionState();
    $('spamfilter-spamAssassin').observe('click', Smb.Views.Settings.Mail.updateSpamActionState);
    $('spamfilter-spamAction-text').observe('click', Smb.Views.Settings.Mail.updateSpamActionState);
    $('spamfilter-spamAction-delete').observe('click', Smb.Views.Settings.Mail.updateSpamActionState);
    if ($('spamfilter-spamAction-move')) {
        $('spamfilter-spamAction-move').observe('click', Smb.Views.Settings.Mail.updateSpamActionState);
    }

    if ($('spf-enabled')) {
        Smb.Views.Settings.Mail.updateSpfControlsState();
        $('spf-enabled').observe('click', Smb.Views.Settings.Mail.updateSpfControlsState);
    }
});