Jsw.namespace('Smb.Views.Settings');

Smb.Views.Settings.Server = {

    _clockId: null,
    _clockDate: null,

    updateUploadLogo: function() {
        if ($('branding-useCustomLogo').checked) {
            $('branding-uploadLogo').enable();
        } else {
            $('branding-uploadLogo').disable();
        }
    },

    updateSyncDomain: function() {
        if ($('dateTime-isSyncWithDomain').checked) {
            $('dateTime-syncDomain').enable();
        } else {
            $('dateTime-syncDomain').disable();
        }
    },

    updateChangeDate: function() {
        var controlsList = [
            'dateTime-changeDateDay', 'dateTime-changeDateMonth', 'dateTime-changeDateYear',
            'dateTime-changeDateHour', 'dateTime-changeDateMinute', 'dateTime-changeDateSeconds'
        ];

        if ($('dateTime-isChangeDate').checked) {
            controlsList.each(function(element) {
                $(element).enable();
            });
        } else {
            controlsList.each(function(element) {
                $(element).disable();
            });
        }
    },

    initClock: function() {
        this._clockDate = new Date();

        if ($('dateTime-isChangeDate').checked) {
            this._clockDate.setFullYear(
                $('dateTime-changeDateYear').value,
                $('dateTime-changeDateMonth').value - 1,
                $('dateTime-changeDateDay').value
            );
            this._clockDate.setHours($('dateTime-changeDateHour').value);
            this._clockDate.setMinutes($('dateTime-changeDateMinute').value);
            this._clockDate.setSeconds($('dateTime-changeDateSeconds').value);
        } else {
            this._clockDate.setFullYear(
                Smb.Views.Settings.currentTime.year,
                Smb.Views.Settings.currentTime.mon - 1,
                Smb.Views.Settings.currentTime.mday
            );

            this._clockDate.setHours(Smb.Views.Settings.currentTime.hours);
            this._clockDate.setMinutes(Smb.Views.Settings.currentTime.minutes);
            this._clockDate.setSeconds(Smb.Views.Settings.currentTime.seconds);
        }

        this._clockId = setTimeout("Smb.Views.Settings.Server.updateClock()", 1000);
    },

    updateClock: function() {
        if (this._clockId) {
            clearTimeout(this._clockId);
            this._clockId;
        }

        this._clockDate.setTime(this._clockDate.getTime() + 1000);
        this._clockId = setTimeout("Smb.Views.Settings.Server.updateClock()", 1000);

        // update clock fields only if date/time changing is disabled
        if ($('dateTime-isChangeDate').checked) {
            return ;
        }

        $('dateTime-changeDateHour').value = (this._clockDate.getHours() < 10)
            ? "0" + this._clockDate.getHours()
            : this._clockDate.getHours();
        $('dateTime-changeDateMinute').value = (this._clockDate.getMinutes() < 10)
            ? "0" + this._clockDate.getMinutes()
            : this._clockDate.getMinutes();
        $('dateTime-changeDateSeconds').value = (this._clockDate.getSeconds() < 10)
            ? "0" + this._clockDate.getSeconds()
            : this._clockDate.getSeconds();

        $('dateTime-changeDateYear').value = this._clockDate.getFullYear();
        $('dateTime-changeDateMonth').value = this._clockDate.getMonth() + 1;
        $('dateTime-changeDateDay').value = (this._clockDate.getDate() < 10)
            ? "0" + this._clockDate.getDate()
            : this._clockDate.getDate();
    }

}

Jsw.onReady(function() {
    Smb.Views.Settings.Server.updateUploadLogo();
    $('branding-useCustomLogo').observe('click', Smb.Views.Settings.Server.updateUploadLogo);

    Smb.Views.Settings.Server.updateSyncDomain();
    $('dateTime-isSyncWithDomain').observe('click', Smb.Views.Settings.Server.updateSyncDomain);

    Smb.Views.Settings.Server.updateChangeDate();
    $('dateTime-isChangeDate').observe('click', Smb.Views.Settings.Server.updateChangeDate);

    Smb.Views.Settings.Server.initClock();
});
